dports upgrade and perl upgrade

Joris Giovannangeli joris at giovannangeli.fr
Mon Nov 18 08:01:05 PST 2013


there are different versions of perl in different ports. If the default
version of perl is upgraded, the new package will be installed during a
pkg upgrade operation, but the old one is not removed. Hence, both
packages will conflict and the upgrade will fail.

You have to manually remove the current installed version of perl,
without removing the packages which depend on it :

pkg remove -f perl

and then do the upgrade

pkg upgrade


More information about the Users mailing list